from __future__ import print_function
from sys import stdin

def printf(str, *args):
	print(str % args, end='')

max11 = 3
max21 = 3

t1=[]
t2=[]
t1t2=[]
t2t1=[]

printf("\n 문자열 T1에 대해서 3개의 문자열을 입력하세요.\n")
for i in range(0, max11):
	t1.append(stdin.readline().strip('\n'))

printf("\n 문자열 T2에 대해서 3개의 문자열을 입력하세요.\n")
for i in range(0, max21):
	t2.append(stdin.readline().strip('\n'))

printf("\n concatenation of T1 & T2\n")

for j in range(0, max21):
	for i in range(0, max11):
		t1t2.append(t1[i] + t2[j])

for i in range(0, max11*max21):
	printf("%s\n" % t1t2[i])

printf("\n concatenation of T2 & T1\n")

for j in range(0, max11):
	for i in range(0, max21):
		t2t1.append(t2[i] + t1[j])

for i in range(0, max11*max21):
	printf("%s\n" % t2t1[i])

stdin.readline()